Bug 1374237 - Multi monitors of virtio-vga works abnormally on rhel7.3 guest
Summary: Multi monitors of virtio-vga works abnormally on rhel7.3 guest
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Guo, Zhiyi
URL:
Whiteboard:
Keywords:
Depends On: 1387372 1406119
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-08 10:04 UTC by Guo, Zhiyi
Modified: 2017-08-02 03:29 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-01 23:34:44 UTC


Attachments (Terms of Use)
evidence of actual result (883.80 KB, image/png)
2016-09-08 10:04 UTC, Guo, Zhiyi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Guo, Zhiyi 2016-09-08 10:04:07 UTC
Created attachment 1198975 [details]
evidence of actual result

Description of problem:
Multi monitors of virtio-vga works abnormally 

Version-Release number of selected component (if applicable):
rhel7.3 host & guest kernel:3.10.0-501.el7.x86_64
qemu-kvm-rhev:qemu-kvm-rhev-2.6.0-22.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Boot guest with cli:
/usr/libexec/qemu-kvm -name rhel73-snapshot-2 -m 1024\
        -cpu Haswell-noTSX,check,enforce \
	-machine pc \
        -smp 3,threads=2,cores=1,sockets=3,maxcpus=6 \
        -serial unix:/tmp/m,server,nowait \
        -drive file=l73.qcow2,if=none,id=drive-scsi-disk0,format=qcow2,cache=none,werror=stop,rerror=stop -device virtio-scsi-pci,id=scsi0,disable-modern=off,disable-legacy=off -device scsi-hd,drive=drive-scsi-disk0,bus=scsi0.0,scsi-id=0,lun=0,id=scsi-disk0,bootindex=1 \
        -monitor stdio \
        -netdev tap,id=idinWyYp -device virtio-net-pci,mac=42:ce:a9:d2:4d:d7,id=idlbq7eA,netdev=idinWyYp \
        -qmp tcp:localhost:4444,server,nowait \
        -device virtio-vga,max_outputs=2 \
        -spice port=3003,disable-ticketing,agent-mouse=on\
	-nodefaults \
        -device virtio-serial-pci -chardev spicevmc,id=vdagent,debug=0,name=vdagent \
        -device virtserialport,chardev=vdagent,name=com.redhat.spice.0 \

2.Remote connect to guest: remote-viewer spice://host_ip:3003
3.Enable multi monitors from remote-viewer: View -> Displays -> Display 2

Actual results:
Multi monitors of virtio-vga works abnormally, only display 1 can be used to operate 

Expected results:
Multi monitors of virtio-vga behave like qxl

Additional info:
photo evidence to show actual result.

Comment 2 Gerd Hoffmann 2016-12-08 08:32:10 UTC
There have been known issues on both host and guest, fixed meanwhile, the
7.4 rebases (qemu-kvm-rhev and kernel drm drivers) should pick up the bugfixes.

Comment 3 Ademar Reis 2017-05-09 12:33:01 UTC
Please retest with newer QEMU and a recent rhel-7.4 kernel, the fixes should be there.

Comment 5 Guo, Zhiyi 2017-06-12 06:12:46 UTC
Test against qemu-kvm-rhev-2.9.0-9.el7.x86_64 and kernel 3.10.0-679.el7.x86_64(host & guest)

Boot rhel7.4 guest with cli:
/usr/libexec/qemu-kvm -name rhel-sp4 -m 4G -machine pc,accel=kvm\
        -S \
        -cpu Skylake-Client,check,enforce \
        -smp 2 \
        -monitor stdio \
        -qmp tcp:0:4444,server,nowait \
        -device virtio-vga,max_outputs=4 \
        -serial unix:/tmp/console,server,nowait \
        -drive file=rhelsp4.qcow2,if=none,id=drive-scsi-disk0,format=qcow2,cache=none,werror=stop,rerror=stop -device virtio-scsi-pci,id=scsi0,addr=04 -device scs
i-hd,drive=drive-scsi-disk0,bus=scsi0.0,scsi-id=0,lun=0,id=scsi-disk0,bootindex=1 \
        -netdev tap,id=idinWyYp,vhost=on -device virtio-net-pci,mac=42:ce:a9:d2:4d:d7,id=idlbq7eA,netdev=idinWyYp \
        -spice port=3003,disable-ticketing,agent-mouse=on \
        -device virtio-serial-pci -chardev spicevmc,id=vdagent,debug=0,name=vdagent \
        -device virtserialport,chardev=vdagent,name=com.redhat.spice.0 \

After Guest boot to Desktop, enable multi monitors from remote-viewer: View -> Displays, check display (2) (3) (4), enable Secondary display for these displays from geust display settings. Multi monitors can be enabled, windows can be dragged between monitors and display correctly.

Comment 6 Guo, Zhiyi 2017-06-12 06:57:34 UTC
Extend displays won't get guest desktop graphic automatically after guest reboot and login to Desktop, bug id:
Bug 1460595 - [virtio-vga]Display 2 should be dropped when guest reboot
But this is a minor case, won't block 1374237, so mark as verified.

Comment 8 errata-xmlrpc 2017-08-01 23:34:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 9 errata-xmlrpc 2017-08-02 01:12:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 10 errata-xmlrpc 2017-08-02 02:04:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 11 errata-xmlrpc 2017-08-02 02:45:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 12 errata-xmlrpc 2017-08-02 03:09:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 13 errata-xmlrpc 2017-08-02 03:29:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.